Subject: bug#12331: 24.1; completing-read when COLLECTION has exactly one element

From: Stefan Monnier <[email-masked]>
Date: Mon, 03 Sep 2012 14:47:16 -0400

> I merely suggest that there are scenarios where shortcutting the
> invocation of the minibuffer can be reasonable.

Yes, there's doubt it can be a good idea.

> And I hope you don't mind we give this a try for the particular
> example of ibuffer-switch-to-saved-filter-groups described in my
> previous email.

By all means, go for it.

> The least questionable examples are, in my opinion, those cases where
> the elements in the list COLLECTION reflect a choice the user made
> earlier (such as COLLECTION being a user variable defaulting to nil).

There are also all the cases where the consequences of the choice are
all harmless (e.g. the command can easily be undone afterwards).

        Stefan